
// ****************************************************************************
//                                 
//                              Value Filter
//
// ****************************************************************************

// max. value
#define MAX_VAL 1050000000L // 1G

// history size
#define HISTNUM 15		// length of value history

// value filter
typedef struct {
	u8 num;			// number of samples in value history
	u8 write;		// write index into value history
	u8 read;		// read index into value history
	s8 unstable;		// flag, result is unstable if > 0
	s32 sum;		// sum of samples in the value history
	s32 hist[HISTNUM];	// value history
} sFilter;

// declare value filter
#define FILTER(name) sFilter name = { 0, 0, 0, 0, 0, { 0 } };

// get average value (should not be called before first sample)
s32 FilterGet(sFilter* f);

// add value to value filter (returns new filtered value)
s32 FilterAdd(sFilter* f, s32 val);
