
// ****************************************************************************
//                                 
//                               Definitions
//
// ****************************************************************************

// DUT = "Device Under Test"

// ----------------------------------------------------------------------------
//                                  Constants
// ----------------------------------------------------------------------------

#define	B0	0x1
#define	B1	0x2
#define	B2	0x4
#define	B3	0x8
#define	B4	0x10
#define	B5	0x20
#define	B6	0x40
#define	B7	0x80
#define	B8	0x100
#define	B9	0x200
#define	B10	0x400
#define	B11	0x800
#define	B12	0x1000
#define	B13	0x2000
#define	B14	0x4000
#define	B15	0x8000
#define B16	0x10000
#define B17	0x20000
#define B18	0x40000
#define	B19	0x80000
#define B20	0x100000
#define B21	0x200000
#define B22	0x400000
#define B23	0x800000
#define B24	0x1000000
#define B25	0x2000000
#define B26	0x4000000
#define B27	0x8000000
#define B28	0x10000000
#define B29	0x20000000
#define B30	0x40000000
#define B31	0x80000000

#define BIT(pos) (1 << (pos))

// ----------------------------------------------------------------------------
//                                      data types
// ----------------------------------------------------------------------------

typedef signed char s8;
typedef unsigned char u8;
typedef signed short s16;
typedef unsigned short u16;
typedef signed long int s32;
typedef unsigned long int u32;
typedef signed long long int s64;
typedef unsigned long long int u64;

typedef unsigned char Bool;
#define True 1
#define False 0
#define NULL (void*)0

// ----------------------------------------------------------------------------
//                             extern functions
// ----------------------------------------------------------------------------

// delay 1 us
extern void wait1us();

// delay 2..65537 us (enter 2..65536, or 0=65536 us, or 1=65537 us)
extern void waitus(u16 us);

// delay 1..65536 ms (0=65536 ms)
extern void waitms(u16 ms);

// ----------------------------------------------------------------------------
//                                      includes
// ----------------------------------------------------------------------------

void main() __attribute__ ((noreturn));

#include "..\config.h"	// configurations

// do some test (switch to reduce program size)
#if defined(DO_CALIBREF) || defined(DO_ADCSPEED) || defined(DO_CLOCKTEST) || \
		defined(DO_PRECTEST) || defined(DO_SELTEST) || defined(DO_RPU) || defined(DO_CHECKLEN)
#define DO_TEST
#endif

#include <avr/io.h>	// ports
#include <avr/interrupt.h> // interrupts
#include <avr/pgmspace.h> // read const data
#include <avr/eeprom.h> // eeprom
#include "lcd.h"	// LCD display
#include "adc.h"	// ADC
#include "display.h"	// display
#include "lc.h"		// LC meter
#include "rc.h"		// RC meter
#include "u.h"		// U meter
#include "probes.h"	// probes
#include "timer.h"	// system clock
#include "test.h"	// debug test
#include "filter.h"	// value filter
#include "buzzer.h"	// buzzer
