
// ****************************************************************************
//                                 
//  LCD display EL1602B (controller KS0066U, compatible with Hitachi HD44780)
//
// ****************************************************************************

#define LCD_ROWNUM	2	// number of LCD rows
#define LCD_COLNUM	16	// number of characters per line

// custom characters
enum {
	CHAR_NOP = 0,		// unused character

	CHAR_CAP_EXC,		// capacitor EXCELENT: -||-
	CHAR_CAP_GOOD,		// capacitor GOOD: -||-
	CHAR_CAP_BAD,		// capacitor BAD: -||-
//	CHAR_RES,		// resistor: -[]-
	CHAR_OMEGA,		// omega
	CHAR_MICRO,		// micro

	CHAR_NUM,		// number of custom characters

/*	CHAR_DIODE_AC = 0,	// diode 1: (A) -|>|- (K)
	CHAR_DIODE_CA = 1,	// diode 2: (K) -|<|- (A)
	CHAR_CAP = 2,		// capacitor: -||-
	CHAR_RES_L = 3,		// resistor left: -[
	CHAR_RES_R= 4,		// resistor right: ]-
	CHAR_COIL_L = 5,	// coil left: ^^
	CHAR_COIL_R = 6,	// coil right: ^^
	CHAR_TRANS = 7,		// transistor

	CHAR_NUM,		// number of custom characters

	CHAR_OMEGA = 0xf4,	// omega
	CHAR_MICRO = 0xe4,	// micro
*/
};

//#define SUBS_DIODE_AC 0x80	// substitute character od diode 1, in text

// custom characters as text
//#define TEXT_OMEGA "\x01"	// omega
//#define TEXT_MICRO "\x02"	// micro

//#define TEXT_DIODE_AC "\x80"	// diode 1: (A) -|>|- (K)
//#define TEXT_DIODE_CA "\x01"	// diode 2: (K) -|<|- (A)
//#define TEXT_CAP "\x02"		// capacitor: -||-
//#define TEXT_RES_L "\x03"	// resistor left: -[
//#define TEXT_RES_R "\x04"	// resistor right: ]-
//#define TEXT_COIL_L "\x05"	// coil left: ^^
//#define TEXT_COIL_R "\x06"	// coil right: ^^
//#define TEXT_TRANS "\x07"	// transistor
//#define TEXT_OMEGA "\xf4"	// omega
//#define TEXT_MICRO "\xe4"	// micro

// write data byte (takes 80 us)
void LCD_WriteData(u8 data);

// clear display (requires 1.53 ms, takes 3 ms)
void LCD_Clear();

// return to home position (requires 1.53 ms, takes 3 ms)
void LCD_Home();

// set DDRAM (display data) address (takes 80 us)
void LCD_DDRAM(u8 addr);

// initialize LCD display
void LCD_Init();
