
// ****************************************************************************
//                                 
//                               Probing testpins
//
// ****************************************************************************

#include "include.h"

// set one test resistor
void SetRes1(u8 low, u8 high, u8 r, u8 mask)
{
	if (high & r)
	{
		if (low & r)
		{
			// pull-up
			RX_DDR &= ~mask;
			RX_PORT |= mask;
		}
		else
		{
			// high
			RX_PORT |= mask;
			RX_DDR |= mask;	
		}
	}
	else
	{
		if (low & r)
		{
			// low
			RX_PORT &= ~mask;
			RX_DDR |= mask;
		}
		else
		{
			// high impedance
			RX_DDR &= ~mask;
			RX_PORT &= ~mask;
		}

	}
}

// set one test resistor #2
void SetRes2(u8 low, u8 high, u8 r, u8 mask)
{
	if (high & r)
	{
		if (low & r)
		{
			// pull-up
			RX_DDR2 &= ~mask;
			RX_PORT2 |= mask;
		}
		else
		{
			// high
			RX_PORT2 |= mask;
			RX_DDR2 |= mask;	
		}
	}
	else
	{
		if (low & r)
		{
			// low
			RX_PORT2 &= ~mask;
			RX_DDR2 |= mask;
		}
		else
		{
			// high impedance
			RX_DDR2 &= ~mask;
			RX_PORT2 &= ~mask;
		}

	}
}

// set test resistors (LOW and HIGH state)
//	0 = put resistor to high impedance
//	low = put resistor to LOW (0V)
//	high = put resistor to HIGH (+5V)
//	low + high = put resistor to pull-up (via internal resistor)
void SetRes(u8 low, u8 high)
{
	SetRes1(low, high, R1, R1_MASK);
	SetRes1(low, high, R2, R2_MASK);
	SetRes1(low, high, R3, R3_MASK);
	SetRes1(low, high, R4, R4_MASK);
	SetRes1(low, high, R5, R5_MASK);
	SetRes1(low, high, R6, R6_MASK);
	SetRes1(low, high, R7, R7_MASK);
	SetRes2(low, high, R8, R8_MASK);
}

// set all resistors to high impedance
void SetResOff()
{
	RALL_IN();
	RALL_LOW();
}
