
// ****************************************************************************
//                                 
//                 Check Resistor and Electrolytic Capacitor
//
// ****************************************************************************

// value is ESR
Bool ESRMode;

// capacitor value is in 0.1 pF scale (or in 10 pF scale otherwise)
Bool CapHiRes;

// resistor measured value (scale = -1, in 0.1 Ohm)
s32 ResVal;

// tare R
s32 RTare;

// tare C
s32 CTare;

// value of overflow resistor (no resistor)
#define RMAX_VAL MAX_VAL // 100M

// capacitor measured value (scale = -11, in 10 pF, range up to 20 mF)
s32 CapVal;

// value of overflow capacitor (no capacitor)
#define CMAX_VAL MAX_VAL // 10 mF

#ifdef DO_CHECKLEN // get length of checks
s32 RC_CheckESR();
void RC_CheckRes();
Bool RC_DetCap();
#endif // DO_CHECKLEN

// check capacitor (takes 50 ms, or up to 550 ms if discharging)
void RC_CheckCap();

// check resistor (takes 65 ms)
void RC_Check();
